### Function

# Devhelp Link new_book

#### Declaration [src]

    DhLink*
    dh_link_new_book (
      const gchar* base_path,
      const gchar* book_id,
      const gchar* book_title,
      const gchar* relative_url
    )

#### Description

No description available.

Available since: | 3.28

#### Parameters

`base_path` | `const gchar*`
| The base path for the book.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`book_id` | `const gchar*`
| The book ID.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`book_title` | `const gchar*`
| The name of the link.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`relative_url` | `const gchar*`
| The URL relative to the book `base_path`. Can contain an anchor. Usually the index.html page.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `DhLink`
| A new `DhLink` of type `DH_LINK_TYPE_BOOK`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.